Subject: Re: [P2PSIP] Design decisions

From: Cullen Jennings <[email-masked]>
Date: Sun, 1 Apr 2007 00:47:27 -0700

This might be slightly inappropriate for this list but I wanted to  
point researchers interested in the questions Henry poised at a  
potential source of funding:

http://www.cisco.com/web/about/ac50/ac207/crc/rfp07006.html

(And yes, I 100% agree with Henry and others on this thread)

On Mar 9, 2007, at 8:05 AM, Philip Matthews wrote:

> I totally agree with Henry that a comparison document would be very  
> helpful.
>
> - Philip
>
> On 8-Mar-07, at 21:08 , Henry Sinnreich wrote:
>
>> Yes, having running code + open source has made most of the de facto
>> standards, while the lack of such as hindered the deployment of some
>> IETF standards.
>> It is not a sufficient condition for success, but a necessary one.
>>
>> Talking of CAN, Chord, Bamboo, etc.; it would be helpful to have a
>> comparison based on some features and metrics, such as
>>
>> - Usability for search (find you by last name), app layer  
>> multicast for
>> conferencing, etc.
>>
>> - number of messages (iterative, recursive),
>>
>> - size of routing tables,
>>
>> - how do the leafs work?,
>>
>> - neighbor proximity selection by delay,
>>
>> - additional routing tables (cashed neighbors),
>>
>> - stabilization efficiency,
>>
>> - Can the code be inspected? Footprint, etc.
>>
>> Sorry for rattling these off on the fly, but we need a document that
>> states the meaningful comparison criteria and then makes  
>> recommendations
>> what features are required for the DHT for P2P SIP.
>>
>> Henry
>>
>>
>> -----Original Message-----
>> From: Enrico Marocco [mailto:[email-masked]]
>> Sent: Thursday, March 08, 2007 1:03 PM
>> To: Henry Sinnreich
>> Cc: [email-masked]; [email-masked]; [email-masked]
>> Subject: Re: [P2PSIP] Design decisions
>>
>> Henry Sinnreich wrote:
>>> Well written I-Ds cannot replace running code for peers over the
>>> Internet - that's my main concern and source of reservations.  
>>> Until we
>>> have our own running code (open source too) over the network, we can
>> at
>>> least use Bamboo as a starting point, unless we have something else,
>>> proven as well.
>>
>> I fully agree about the running code part, but I'd point out jxta.org
>> research section (http://www.jxta.org/research/) as a great source of
>> information too.  JXTA, btw, implements also the CAN algorithm,  
>> which,
>> even if isn't the preferred DHT on this list, seems particularly well
>> suited for environments full of NATs.
>>
>> -- 
>> Ciao,
>> Enrico
>>
>> Ahem.. Sorry, the notice below is not my fault :-(
>> --------------------------------------------------------------------
>>
>> CONFIDENTIALITY NOTICE
>>
>> This message and its attachments are addressed solely to the persons
>> above and may contain confidential information. If you have  
>> received the
>> message in error, be informed that any use of the content hereof is
>> prohibited. Please return it immediately to the sender and delete the
>> message. Should you have any questions, please contact us by  
>> replying to
>> [email-masked].
>>
>>         Thank you
>>
>>                                         www.telecomitalia.it
>>
>> --------------------------------------------------------------------
>>
>>
>
>
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/p2psip

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip